<!DOCTYPE html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Distogram</title>

    <!-- CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
    <link href="https://gitcdn.github.io/bootstrap-toggle/2.2.2/css/bootstrap-toggle.min.css" rel="stylesheet">
    <link rel="stylesheet" href="style.css">
</head>

<body>
    <!-- Java Script-->
    <script src="https://code.jquery.com/jquery-1.11.1.min.js"></script>
    <script src="https://cdn.opencpu.org/opencpu-0.4.js"></script>
    <script src="https://code.jquery.com/ui/1.12.0/jquery-ui.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
    <script src="https://gitcdn.github.io/bootstrap-toggle/2.2.2/js/bootstrap-toggle.min.js"></script>
    <script src="distogram.js"></script>

    <div class="jumbotron">
        <div class="container text-center">
            <h1>Plotting Distributions</h1>
            <p>An Example with R and OpenCPU</p>
           
            <h3>
                <span id='view_n'></span> Sample(s) from
                <span id='view_d'></span> Distribution</h3>
        </div>
    </div>

    <div class="container text-center">
        <div class="row content">
            <div class="col-sm-3">
                <div class="row content well distside">
                    <div class="col-sm-12 distwell">
                        <!-- DIST -->
                        <button type="button" class="distbtn" id='unifbtn' value="Uniform">
                            Uniform
                        </button> <br>
                        <div class="paraminputs">
                            <table style="width: 100%;">
                                <tr>
                                    <td class="paramname"><strong>min</strong></td>
                                    <td>
                                        <input type="number" id="unifmin" value="0" min="0">
                                    </td>
                                </tr>
                                <tr>
                                    <td class="paramname"><strong>max</strong></td>
                                    <td>
                                        <input type="number" id="unifmax" value="1" min="0">
                                    </td>
                                </tr>
                                </form>
                            </table>
                        </div>
                    </div>
                    <div class="col-sm-12 spacer"></div>
                    <div class="col-sm-12 distwell">
                        <!-- DIST -->
                        <button type="button" class="distbtn" id='chisqbtn' value="chisq">
                            Chi-Square
                        </button>
                        <div class="paraminputs">
                            <table style="width: 100%;">
                                <tr>
                                    <td class="paramname"><strong>df</strong></td>
                                    <td>
                                        <input type="number" id="chidf" value="1" min="1">
                                    </td>
                                </tr>
                            </table>
                        </div>
                    </div>
                    <div class="col-sm-12 spacer"></div>
                    <div class="col-sm-12 distwell">
                        <!-- DIST -->
                        <button type="button" class="distbtn" id='tbtn' value="exp">
                            T
                        </button>
                        <div class="paraminputs">
                            <table style="width: 100%;">
                                <tr>
                                    <td class="paramname"><strong>df</strong></td>
                                    <td>
                                        <input type="number" id="tdf" value="1" min="1">
                                    </td>
                                </tr>
                                <tr>
                                    <td class="paramname"><strong>ncp</strong></td>
                                    <td>
                                        <input type="number" id="tncp" value="0" min="0">
                                    </td>
                                </tr>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-6 text-left">
                <input id="kde" type="checkbox" checked data-toggle="toggle" data-on="Density Curve On"
                    data-off="Density Curve Off" data-width="100%" data-height="5%" data-onstyle="default">

                <div class="slide-container" style="width: 100%;">
                    <input type="range" min="0" max="2000" step="20" value="1000" class="slider" id="n_val" style="width: 100%;">
                </div>

                <div id="plotdiv"></div>
            </div>
            <div class="col-sm-3">
                <div class="row content well distside">
                    <div class="col-sm-12 distwell">
                        <!-- DIST -->
                        <button type="button" class="distbtn" id='normbtn' value="Normal">
                            Normal
                        </button>
                        <div class="paraminputs">
                            <table style="width: 100%;">
                                <tr>
                                    <td class="paramname"><strong>mean</strong></td>
                                    <td>
                                        <input type="number" id="normmean" value="0" min="0">
                                    </td>
                                </tr>
                                <tr>
                                    <td class="paramname"><strong>sd</strong></td>
                                    <td>
                                        <input type="number" id="normsd" value="1" min="1">
                                    </td>
                                </tr>
                            </table>
                        </div>
                    </div>
                    <div class="col-sm-12 spacer"></div>
                    <div class="col-sm-12 distwell">
                        <!-- DIST -->
                        <button type="button" class="distbtn" id='expbtn' value="exp">
                            Exponential
                        </button>
                        <div class="paraminputs">
                            <table style="width: 100%;">
                                <tr>
                                    <td class="paramname"><strong>rate</strong></td>
                                    <td>
                                        <input type="number" id="exprate" value="1" min="1">
                                    </td>
                                </tr>
                            </table>
                        </div>
                    </div>
                    <div class="col-sm-12 spacer"></div>
                    <div class="col-sm-12 distwell">
                        <!-- DIST -->
                        <button type="button" class="distbtn" id='fbtn' value="f">
                            F
                        </button>
                        <div class="paraminputs">
                            <table style="width: 100%;">
                                <tr>
                                    <td class="paramname"><strong>df1</strong></td>
                                    <td>
                                        <input type="number" id="fdf1" value="1" min="1">
                                    </td>
                                </tr>
                                <tr>
                                    <td class="paramname"><strong>df2</strong></td>
                                    <td>
                                        <input type="number" id="fdf2" value="1" min="1">
                                    </td>
                                </tr>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <footer class="container-fluid text-center">
        <p><a href="https://github.com/mbmackenzie/distogram">Github</a></p>
    </footer>
</body>

</html>